import React from 'react'
import styles from './index.module.scss'
import { useHistory } from 'react-router-dom'
function A4base({ show, setShow }: { show: boolean; setShow: (show: boolean) => void }) {
  // const history = useHistory()
  return (
    <div className={styles.A4base} style={{ display: show ? 'block' : 'none' }}>

      <div className="A4base-content">
        <div className="A4base-title2"> <img src={require('./image/title.png')} alt='' /></div>
        <div className="A4base-title1"> <img src={require('./image/time.png')} alt='' /></div>
      </div>

      <div
        className='A4base-button'
        onClick={() => {
          setShow(false)
          window.switchBgmState(true)
          // history.push('/home?m=SG-ooxdHQTAxfH')
          // window.location.reload()
        }}
      >
        <img src={require('./image/button.png')} alt='' />
      </div>
    </div>
  )
}

const MemoA4base = React.memo(A4base)

export default MemoA4base
